## sysvinit 2.85-22.osso11.1

=== debian/changelog ===
sysvinit (2.85-22.osso11.1) unstable; urgency=low

  * Add dependence of sysv-rc to initscripts

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  8 Sep 2006 12:19:46 +0300

sysvinit (2.85-22.osso11) unstable; urgency=low

  * Removed unneeded documentation and manuals. Fixes: NB#33613
  * Fixed some initscripts. Fixes: NB#33614
  
 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 29 Jun 2006 10:24:49 +0300

=== debian/control ===
Source: sysvinit
Section: base
Priority: required
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 3.5.2.0
Build-Depends: bash, libc6-dev

Package: sysvinit
Essential: yes
Architecture: any
Pre-Depends: ${shlibs:Depends}, initscripts, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0)
Depends: coreutils
Conflicts: last
Replaces: last, bsdutils (<=2.0-2)
Description: System-V like init
 Init is the first program to run after your system is booted, and
 continues to run as process number 1 until your system halts. Init's
 job is to start other programs that are essential to the operation of
 your system. All processes are descended from init. For more information,
 see the manual page init(8).

Package: sysv-rc
Architecture: all
Conflicts: file-rc
Replaces: dpkg (<< 1.9.17), sysvinit (<< 2.85-1), file-rc (>> 0.7.0)
Suggests: sysv-rc-conf
Description: Standard boot mechanism using symlinks in /etc/rc?.d
 This package provides support for the System-V like system of booting,
 shutting down and changing runlevels configured through symbolic
 links in the /etc/rc?.d directories.

Package: initscripts
Architecture: any
Replaces: sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
Depends: ${shlibs:Depends}, sysv-rc | file-rc
Conflicts: kbd (<< 0.95-2), mdutils (<< 0.35-9)
Description: Standard scripts needed for booting and shutting down
 These scripts are meant for standard Debian/GNU/Linux installations.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

tmp     = $(shell pwd)/debian/tmp
doc	= /usr/share/doc

SHELL	= /bin/bash
LC_ALL	= POSIX

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

LIBC6	= libc6
ifeq ($(DEB_HOST_ARCH), alpha)
LIBC6	= libc6.1
endif
ifeq ($(DEB_HOST_ARCH), ia64)
LIBC6	= libc6.1
endif

define checkdir
	test -f src/init.c
endef

build:
# Builds the binary package.
	$(checkdir)
	(cd src; make DISTRO=Debian)
	cc -Wall -s -o debian/readlink debian/readlink.c
	touch build

# Make a binary package (.deb file)
binary-arch:	build checkroot
	#
	#	Sysvinit.
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/share/sysvinit
	install -d -g root -m 755 -o root $(tmp)/usr/include
	install -d -g root -m 755 -o root $(tmp)$(doc)/sysvinit
#	install -g root -m 644 doc/Changelog $(tmp)$(doc)/sysvinit/changelog
#	install -g root -m 644 debian/changelog \
#		$(tmp)$(doc)/sysvinit/changelog.Debian
#	install -g root -m 644 debian/README.runlevels \
#		$(tmp)$(doc)/sysvinit
#	gzip -9f $(tmp)$(doc)/sysvinit/{README.runlevels,changelog*}
	if test -e debian/share/inittab.$(DEB_BUILD_GNU_TYPE) ; \
	then \
		install -g root -m 644 -o root \
			debian/share/inittab.$(DEB_BUILD_GNU_TYPE) \
			$(tmp)/usr/share/sysvinit/inittab ; \
	elif test -e debian/share/inittab.$(DEB_BUILD_GNU_SYSTEM) ; \
	then \
		install -g root -m 644 -o root \
			debian/share/inittab.$(DEB_BUILD_GNU_SYSTEM) \
			$(tmp)/usr/share/sysvinit/inittab ; \
	else \
		install -g root -m 644 -o root debian/share/inittab \
			$(tmp)/usr/share/sysvinit/inittab ; \
	fi
	install -g root -m 755 -o root debian/share/update-rc.d \
		$(tmp)/usr/share/sysvinit
	install -d -g root -m 755 -o root $(tmp)/{bin,sbin,lib,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/bin
	install -d -g root -m 755 -o root $(tmp)/usr/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man{1,5,8}
	(cd src; make ROOT=$(tmp) DISTRO=Debian install )
	rm -f $(tmp)/usr/share/man/man1/mountpoint.1
	rm -f $(tmp)/bin/mountpoint
	rm -f $(tmp)/usr/bin/last*
	rm -f $(tmp)/usr/share/man/man1/last*
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]

	rm -rf $(tmp)/usr/share/man

	install -g root -m 644 -o root debian/README \
	  $(tmp)$(doc)/sysvinit/copyright
	cat COPYRIGHT >> $(tmp)$(doc)/sysvinit/copyright
	install -g root -m 755 debian/postinst $(tmp)/DEBIAN/postinst
	dpkg-shlibdeps src/init
	dpkg-gencontrol -psysvinit -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)
	#
	#	Initscripts.
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr,sbin,lib}
	install -d -g root -m 755 -o root $(tmp)/lib/init
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/share/initscripts
	install -d -g root -m 755 -o root $(tmp)$(doc)/initscripts
#	sed -ne '/sysvinit (2.84-3)/q' -e p < debian/changelog \
#		> $(tmp)$(doc)/initscripts/changelog
#	chmod 644 $(tmp)$(doc)/initscripts/changelog
#	gzip -9f $(tmp)$(doc)/initscripts/*
	cp -af debian/initscripts/share/* $(tmp)/usr/share/initscripts
	cp -af debian/initscripts/etc/* $(tmp)/etc
	#ln -sf bootlogd $(tmp)/etc/init.d/stop-bootlogd
	chmod 755 $(tmp)/etc/init.d/[a-z]*
	#chmod 644 $(tmp)/etc/init.d/bootclean.sh
	chmod -R g-w $(tmp)
	chown -R root.root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/bin
	install -d -g root -m 755 -o root $(tmp)/etc/default
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man1
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man5
	install -d -g root -m 755 -o root $(tmp)/var/lib/urandom
	#install -g root -m 755 debian/initscripts/sbin/fsck.nfs \
	#	$(tmp)/sbin/fsck.nfs
	install -g root -m 644 debian/initscripts/rcS.5 \
		$(tmp)/usr/share/man/man5
	install -g root -m 755 src/mountpoint $(tmp)/bin
	install -g root -m 644 man/mountpoint.1 $(tmp)/usr/share/man/man1
	install -g root -m 755 debian/readlink $(tmp)/lib/init
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]

	rm -rf $(tmp)/usr/share/man

	install -g root -m 644 -o root debian/initscripts/copyright \
	  $(tmp)$(doc)/initscripts/copyright
	install -g root -m 755 debian/initscripts/preinst  $(tmp)/DEBIAN
	install -g root -m 755 debian/initscripts/postinst $(tmp)/DEBIAN
	install -g root -m 644 -o root debian/initscripts/conffiles \
	  $(tmp)/DEBIAN/conffiles
	dpkg-shlibdeps debian/readlink
	sh debian/deps-mount >> debian/substvars
	sh debian/deps-glibc >> debian/substvars
	dpkg-gencontrol -pinitscripts -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)


# Architecture independant files.
binary-indep:   build checkroot
	#
	#	sysv-rc
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)$(doc)/sysv-rc
#	sed -ne '/sysvinit (2.84-3)/q' -e p < debian/changelog \
#		> $(tmp)$(doc)/sysv-rc/changelog
#	chmod 644 $(tmp)$(doc)/sysv-rc/changelog
#	install -g root -m 644 debian/sysv-rc/doc/* $(tmp)$(doc)/sysv-rc
#	gzip -9f $(tmp)$(doc)/sysv-rc/*
	install -d -g root -m 755 -o root $(tmp)/etc/rc{0,1,2,3,4,5,6}.d
	cp -af debian/sysv-rc/etc/* $(tmp)/etc
	chmod 755 $(tmp)/etc/init.d/[a-z]*
	chmod -R go=u-w $(tmp)/etc
	chown -R root.root $(tmp)/etc
	install -d -g root -m 755 -o root $(tmp)/usr/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man5
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/ja/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/fr/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/es/man8
	install -g root -m 644 debian/sysv-rc/man8/*.8 \
		$(tmp)/usr/share/man/man8
	install -g root -m 644 debian/sysv-rc/man8/ja/*.8 \
		$(tmp)/usr/share/man/ja/man8
	install -g root -m 644 debian/sysv-rc/man8/fr/*.8 \
		$(tmp)/usr/share/man/fr/man8
	install -g root -m 644 debian/sysv-rc/man8/es/*.8 \
		$(tmp)/usr/share/man/es/man8
	install -g root -m 755 debian/sysv-rc/sbin/invoke-rc.d $(tmp)/usr/sbin
	install -g root -m 755 debian/sysv-rc/sbin/update-rc.d $(tmp)/usr/sbin
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9] \
		 $(tmp)/usr/share/man/??/man*/*.[0-9]
	install -g root -m 644 -o root debian/sysv-rc/copyright \
	  $(tmp)$(doc)/sysv-rc/copyright

	rm -rf $(tmp)/usr/share/man

	install -g root -m 755 debian/sysv-rc/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 755 debian/sysv-rc/postrm $(tmp)/DEBIAN/postrm
	dpkg-gencontrol -psysv-rc -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

clean:	checkroot
	(cd src; make clobber )
	rm -f build debian/files debian/substvars debian/readlink
	rm -rf $(tmp)
	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --

binary: binary-arch binary-indep

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## sysvinit 2.85-22.osso12

=== debian/changelog ===
sysvinit (2.85-22.osso12) unstable; urgency=low

  * Use virtual boot-mechanism instead of maemo-rc
  * Added maemo-rc to alternative rc system

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  3 Aug 2006 12:10:40 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: sysvinit
 Essential: yes
 Architecture: any
-Pre-Depends: ${shlibs:Depends}, initscripts, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0)
+Pre-Depends: ${shlibs:Depends}, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0) | boot-mechanism, initscripts
 Depends: coreutils
 Conflicts: last
 Replaces: last, bsdutils (<=2.0-2)
@@ -32,7 +32,7 @@
 Package: initscripts
 Architecture: any
 Replaces: sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
-Depends: ${shlibs:Depends}, sysv-rc | file-rc
+Depends: ${shlibs:Depends}
 Conflicts: kbd (<< 0.95-2), mdutils (<< 0.35-9)
 Description: Standard scripts needed for booting and shutting down
  These scripts are meant for standard Debian/GNU/Linux installations.

## sysvinit 2.85-22.osso13

=== debian/changelog ===
sysvinit (2.85-22.osso13) unstable; urgency=low

  * policy-rc.d added to the package
  * check for scratchbox moved from invoke-rc.d to policy rc.d
    Thanks to Eduard Bartosh.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 30 Jan 2007 13:44:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -177,6 +177,7 @@
 		$(tmp)/usr/share/man/es/man8
 	install -g root -m 755 debian/sysv-rc/sbin/invoke-rc.d $(tmp)/usr/sbin
 	install -g root -m 755 debian/sysv-rc/sbin/update-rc.d $(tmp)/usr/sbin
+	install -g root -m 755 debian/sysv-rc/sbin/policy-rc.d $(tmp)/usr/sbin
 	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9] \
 		 $(tmp)/usr/share/man/??/man*/*.[0-9]
 	install -g root -m 644 -o root debian/sysv-rc/copyright \

## sysvinit 2.85-22.osso14

=== debian/changelog ===
sysvinit (2.85-22.osso14) unstable; urgency=low

  * debian/control: fixed maintainer and dependences. Fixes: NB#55201
    - use busybox | coreutils to force apt not to calculate
      dependences of real coreutils package when busybox is used.
  * Changed maintainer from Debian's to OSSO's

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Aug 2007 15:17:41 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: sysvinit
 Section: base
 Priority: required
-Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
-Standards-Version: 3.5.2.0
-Build-Depends: bash, libc6-dev
+Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
+Standards-Version: 3.7.2
 
 Package: sysvinit
 Essential: yes
 Architecture: any
 Pre-Depends: ${shlibs:Depends}, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0) | boot-mechanism, initscripts
-Depends: coreutils
+Depends: busybox | coreutils
 Conflicts: last
 Replaces: last, bsdutils (<=2.0-2)
 Description: System-V like init

## sysvinit 2.85-22.osso15

=== debian/changelog ===
sysvinit (2.85-22.osso15) unstable; urgency=low

  * Binary packages are not essential anymore

 -- Grigori Timonen <Grigori.Timonen@nokia.com>  Wed, 05 Mar 2008 16:08:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Standards-Version: 3.7.2
 
 Package: sysvinit
-Essential: yes
 Architecture: any
 Pre-Depends: ${shlibs:Depends}, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0) | boot-mechanism, initscripts
 Depends: busybox | coreutils

## sysvinit 2.87dsf-4ubuntu11

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu11) karmic; urgency=low

  * debian/control:
    - Change the upstart dependency to a recommend in sysinit-utils
      because its not a hard dependency. This will fix a dependency
      cycle that causes kubuntu upgrades to fail (LP: ä452090)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Oct 2009 15:12:44 +0200

sysvinit (2.87dsf-4ubuntu10) karmic; urgency=low

  * If /var/run/init.upgraded exists, call telinit u before unmounting
    the root filesystem.

  * Remove RAMRUN and RAMLOCK settings from default rcS script to avoid
    confusion, remove from /etc/default/rcS on upgrade too.
  * Always skip these when unmounting filesystems.
  * Remove from the manual pages.

  * Remove unsupported ASYNCMOUNTNFS documentation from the manual page.

  * Remove documentation about tmpfs, since mountall handles these.
  * Remove documentation about /sys in fstab, since mountall actually lets
    you specify options there.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Oct 2009 05:20:19 +0100

sysvinit (2.87dsf-4ubuntu8) karmic; urgency=low

  * debian/control: Do not build the sysvinit binary package any more. It
    conflicts with upstart, which is required, so it is uninstallable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 01 Oct 2009 16:32:06 +0200

sysvinit (2.87dsf-4ubuntu7) karmic; urgency=low

  * debian/rules: add a versioned dependency on the upstart that provides
    the reload action
  * debian/service/service: handle reload and force-reload actions as
    upstart commands, LP: #433544

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Sep 2009 14:25:37 -0700

sysvinit (2.87dsf-4ubuntu6) karmic; urgency=low

  * Remove conffiles that are no longer included in this package.
    LP: #430355.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 21 Sep 2009 16:29:34 -0700

sysvinit (2.87dsf-4ubuntu5) karmic; urgency=low

  * Restore change made by Martin Pitt in intrepid, but lost recently (LP:
    #431789):
    - Let sysvinit-utils only replace the old sysvutils, do not conflict to
      it. This is a less clean way to do the transition than with a proper
      Conflicts/Replaces, but the latter induces a Pre-Depends/Conflicts
      loop which is unresolvable.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Sep 2009 21:33:08 +0100

sysvinit (2.87dsf-4ubuntu4) karmic; urgency=low

  * debian/service/service: use upstart for service management, if an
    upstart configuration exists, LP: #427277

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Sep 2009 10:21:05 -0500

sysvinit (2.87dsf-4ubuntu3) karmic; urgency=low

  FFE LP: #427356.

  * Various initscripts have been replaced by Upstart jobs shipped in
    other packages, the following have been removed:
    - hostname.sh
    - mountkernfs.sh
    - mountdevsubfs.sh
    - checkroot.sh
    - mtab.sh
    - checkfs.sh
    - mountall.sh
    - mountall-bootclean.sh
    - mountoverflowtmp
    - mountnfs.sh
    - mountnfs-bootclean.sh
    - bootmisc.sh
    - bootlogs
    - rmnlogin

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 02:45:59 +0100

sysvinit (2.87dsf-4ubuntu2) karmic; urgency=low

  * Use legacy boot ordering on fresh installs too.  Ooops.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 02:44:35 +0100

sysvinit (2.87dsf-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Support Cell processor:
      + debian/initscripts/postinst: Create spu system group and /spu mount
        point if we are running on a Cell processor.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Mount spufs if Cell
        processor is detected.
      + debian/initscripts/lib/init/mount-functions.sh: Modprobe spufs
        if not available.
      + debian/control: Add initscripts dependency 'passwd' for groupadd.
      (Forwarded to Debian #483399)
    - Use tmpfs mounts for /var/lock and /var/run:
      + debian/initscripts/share/default.rcS: Enable RAMRUN and RAMLOCK by
        default.
      + debian/initscripts.postinst: Enable RAMRUN and RAMLOCK in
        /etc/default/rcS on upgrades. This needs to be kept until the next
        LTS.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Propagate files from the
        initramfs to our new /var/run, so that we can populate
        /var/run/sendsigs.omit from initramfs.
    - Boot ordering differences:
      + mountkernfs.sh: 02 -> 01
      + mountdevsubfs.sh: 04 -> 11
      + bootlogd: disabled by default
      + checkroot.sh: 10 -> 20
      + mtab.sh: 12 -> 22
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/control: Drop Essential: yes from packages since we use Upstart.
    - debian/control: Conflict/Replace sysvconfig which has also previously
      provided service(8).
    - debian/control, debian/rules: Previous name for sysvinit-utils was
      'sysvutils' in Ubuntu, so Conflict/Replace/Provide it. Also create a
      dummy sysvutils package, since Hardy has reverse versioned dependencies
      to it. This needs to be kept until after the next LTS.
    - debian/control: Depend on lsb-base (>= 3.2-14) for status_of_proc()
      function.
    - debian/initscripts/etc/init.d/checkfs.sh: Don't depend on hwclockfirst
      which Ubuntu does not have.
    - debian/initscripts/etc/init.d/mountkernfs.sh: Always mount devpts, and
      do not touch /dev/ptmx (which is already managed by udev).
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount fusectl if it is
      available
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount securityfs if it is
      available. This allows for easier AppArmor confinement of applications
      early in the boot process. LP: #399954
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount debugfs if it is
      available.
    - debian/initscripts/etc/init.d/ondemand: Sleep for 60 seconds, then


## sysvinit 2.87dsf-4ubuntu12

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu12) karmic-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountfs: do not use the -f option when 
    unmounting WEAK_MTPTS, in the case of bind mounts in particular, that 
    results in the underlying device being unmounted, LP: #468589  

 -- Agostino Russo <agostino.russo@gmail.com>  Tue, 03 Nov 2009 23:04:53 +0000

=== debian/control ===
Source: sysvinit
Section: admin
Priority: required
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Henrique de Moraes Holschuh <hmh@debian.org>, Kel Modderman <kel@otaku42.de>
Build-Depends: debhelper (>= 1), po-debconf, quilt (>= 0.40), libselinux1-dev (>= 1.14) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libsepol1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.8.3
Homepage: http://freshmeat.net/projects/sysvinit/
Vcs-Svn: svn://svn.debian.org/pkg-sysvinit/sysvinit/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-sysvinit/sysvinit/trunk/

Package: sysvinit-utils
Architecture: any
Conflicts: last, sysvconfig, chkconfig (<< 11.0-79.1-1ubuntu1), sysvconfig (<< 0.80ubuntu1)
Replaces: sysvutils (<< 2.86.ds1-56ubuntu1), last, sysvinit (<= 2.86.ds1-65), sysvconfig (<< 0.80ubuntu1)
Provides: sysvutils
Depends: ${shlibs:Depends}
Recommends: upstart (>= 0.6.3-4)
Suggests: sash
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 killall5, last, lastb, mesg, pidof, service, sulogin

Package: sysv-rc
Architecture: all
Recommends: lsb-base (>= 3.2-14)
Conflicts: file-rc
Replaces: file-rc
Suggests: sysv-rc-conf, bum
Depends: debconf | debconf-2.0, sysvinit-utils (>= 2.86.ds1-62), insserv (>> 1.12.0-10)
Breaks: initscripts (<< 2.86.ds1-63)
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, shutting down and changing runlevels,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: any
Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, debianutils (>= 2.13.1), lsb-base (>= 3.2-14), sysvinit-utils (>= 2.86.ds1-39), sysv-rc | file-rc, passwd
Recommends: psmisc, e2fsprogs
Conflicts: libdevmapper1.02.1 (<< 2:1.02.24-1)
Replaces: libc6, libc6.1, libc0.1, libc0.3
Breaks: hostname (<< 2.95ubuntu1~boot2), upstart (<< 0.6.3-2~boot4), rsyslog (<< 4.2.0-2ubuntu3~boot1), udev (<< 146-2~boot6)
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 GNU/Linux system at boot time and shut it down at halt or
 reboot time.

Package: sysvutils
Architecture: all
Priority: extra
Section: oldlibs
Depends: sysvinit-utils
Description: System-V-like utilities (transitional package)
 This dummy package is provided for a smooth transition from the
 previous sysvutils package (the package is replaced by sysvinit-utils).
 It may safely be removed after installation.

## sysvinit 2.87dsf-4ubuntu17

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu17) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: additional upstart jobs may be
    /started/ on shutdown after this script has first been invoked; so don't
    assume the list of known jobs is constant, instead requery initctl before
    each killall5 -CONT to properly exclude any new jobs upstart knows about
    so that we aren't waiting an extra 10 seconds for no reason.
    LP: #537262.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 Mar 2010 00:08:33 -0700

sysvinit (2.87dsf-4ubuntu16) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: Comment out the
    report_unkillable() call. We collected enough data for now from beta-1
    installations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Mar 2010 11:39:24 +0100

sysvinit (2.87dsf-4ubuntu15) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: If we detect processes which don't
    want to die on SIGTERM (and thus cause the 10 second timeout until they
    get killed), call /usr/share/apport/unkillable_shutdown (if existing), so
    that we get reports about those.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Mar 2010 14:43:49 +0100

sysvinit (2.87dsf-4ubuntu14) lucid; urgency=low

  * debian/patches/92_sulogin_support_static_sh.patch:
    - add support for /bin/static-sh as fallback if the regular
      shell fails to execute (LP: #505887)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Jan 2010 09:40:46 +0100

sysvinit (2.87dsf-4ubuntu13) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs:
    - Omit any process being controlled by Upstart.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 30 Nov 2009 23:36:47 +0000

## sysvinit 2.87dsf-4ubuntu17.4

=== src/Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up object files
#			   clobber  really cleans up
#
# Version:	@(#)Makefile  2.85-13  23-Mar-2004  miquels@cistron.nl
#

CC	= gcc
CFLAGS	= -ansi -W -Wall -O2 -fomit-frame-pointer -D_GNU_SOURCE
LDFLAGS	= -s
STATIC	=

# For some known distributions we do not build all programs, otherwise we do.
BIN	=
SBIN	= init halt shutdown runlevel killall5
USRBIN	= last mesg

MAN1	= last.1 lastb.1 mesg.1
MAN5	= initscript.5 inittab.5
MAN8	= halt.8 init.8 killall5.8 pidof.8 poweroff.8 reboot.8 runlevel.8
MAN8	+= shutdown.8 telinit.8

ifeq ($(DISTRO),)
BIN	+= mountpoint
SBIN	+= sulogin bootlogd
USRBIN	+= utmpdump wall
MAN1	+= mountpoint.1 wall.1
MAN8	+= sulogin.8 bootlogd.8
endif

ifeq ($(DISTRO),Debian)
BIN	+= mountpoint
SBIN	+= sulogin bootlogd
MAN1	+= mountpoint.1
MAN8	+= sulogin.8 bootlogd.8
endif

ifeq ($(DISTRO),Owl)
USRBIN	+= wall
MAN1	+= wall.1
endif

BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER):$(BIN_GROUP)
STRIP		= strip -s -R .comment
INSTALL_EXEC	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 755
INSTALL_DATA	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 644
MANDIR		= /usr/share/man

ifeq ($(WITH_SELINUX),yes)
  SELINUX_DEF=-DWITH_SELINUX
  INIT_SELIBS=-lsepol -lselinux
  SULOGIN_SELIBS=-lselinux	
else
  SELINUX_DEF=
  INIT_SELIBS=
  SULOGIN_SELIBS=
endif



# Additional libs for GNU libc.
ifneq ($(wildcard /usr/lib/libcrypt.a),)
LCRYPT		= -lcrypt
endif

all:		$(BIN) $(SBIN) $(USRBIN)

init:		init.o init_utmp.o
		$(CC) $(LDFLAGS) $(STATIC) -o $@ init.o init_utmp.o $(INIT_SELIBS)

halt:		halt.o ifdown.o hddown.o utmp.o reboot.h
		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o hddown.o utmp.o

last:		last.o oldutmp.h
		$(CC) $(LDFLAGS) -o $@ last.o

mesg:		mesg.o
		$(CC) $(LDFLAGS) -o $@ mesg.o

mountpoint:	mountpoint.o
		$(CC) $(LDFLAGS) -o $@ mountpoint.o

utmpdump:	utmpdump.o
		$(CC) $(LDFLAGS) -o $@ utmpdump.o

runlevel:	runlevel.o
		$(CC) $(LDFLAGS) -o $@ runlevel.o

sulogin:	sulogin.o
		$(CC) $(LDFLAGS) $(STATIC) $(SELINUX_DEF) -o $@ $^ $(LCRYPT) $(SULOGIN_SELIBS)

wall:		dowall.o wall.o
		$(CC) $(LDFLAGS) -o $@ dowall.o wall.o

shutdown:	dowall.o shutdown.o utmp.o reboot.h
		$(CC) $(LDFLAGS) -o $@ dowall.o shutdown.o utmp.o

bootlogd:	bootlogd.o
		$(CC) $(LDFLAGS) -o $@ bootlogd.o -lutil

sulogin.o:	sulogin.c 
		$(CC) -c $(CFLAGS) $(SELINUX_DEF) sulogin.c

init.o:		init.c init.h set.h reboot.h initreq.h
		$(CC) -c $(CFLAGS) $(SELINUX_DEF)  init.c

utmp.o:		utmp.c init.h
		$(CC) -c $(CFLAGS) utmp.c

init_utmp.o:	utmp.c init.h
		$(CC) -c $(CFLAGS) -DINIT_MAIN utmp.c -o init_utmp.o

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs
		@echo Type \"make clobber\" to really clean up.

clobber:	cleanobjs
		rm -f $(BIN) $(SBIN) $(USRBIN)

distclean:	clobber

install:
		for i in $(BIN); do \
			$(STRIP) $$i ; \
			$(INSTALL_EXEC) $$i $(ROOT)/bin/ ; \
		done
		for i in $(SBIN); do \
			$(STRIP) $$i ; \
			$(INSTALL_EXEC) $$i $(ROOT)/sbin/ ; \
		done
		for i in $(USRBIN); do \
			$(STRIP) $$i ; \
			$(INSTALL_EXEC) $$i $(ROOT)/usr/bin/ ; \
		done
		# $(INSTALL_EXEC) etc/initscript.sample $(ROOT)/etc/
		ln -sf halt $(ROOT)/sbin/reboot
		ln -sf halt $(ROOT)/sbin/poweroff
		ln -sf init $(ROOT)/sbin/telinit
		ln -sf /sbin/killall5 $(ROOT)/bin/pidof
		if [ ! -f $(ROOT)/usr/bin/lastb ]; then \
			ln -sf last $(ROOT)/usr/bin/lastb; \
		fi
		$(INSTALL_DATA) initreq.h $(ROOT)/usr/include/
		for i in $(MAN1); do \
			$(INSTALL_DATA) ../man/$$i $(ROOT)$(MANDIR)/man1/; \
		done
		for i in $(MAN5); do \
			$(INSTALL_DATA) ../man/$$i $(ROOT)$(MANDIR)/man5/; \
		done
		for i in $(MAN8); do \
			$(INSTALL_DATA) ../man/$$i $(ROOT)$(MANDIR)/man8/; \
		done
ifeq ($(ROOT),)
		#
		# This part is skipped on Debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /dev/initctl ]; then \
		 echo "Creating /dev/initctl"; \
		 rm -f /dev/initctl; \
		 mknod -m 600 /dev/initctl p; fi
endif

=== debian/startpar/Makefile ===
VERSION = 0.53.1
ISSUSE	= -DSUSE

INSTALL		= install -m 755
INSTALL_DATA	= install -m 644
DESTDIR		=
sbindir		= /sbin
mandir		= /usr/share/man
man8dir		= $(mandir)/man8

SRCS		= startpar.c makeboot.c proc.c
HDRS		= makeboot.h proc.h
REST		= COPYING Makefile startpar.8
OBJS		= $(SRCS:.c=.o)

CC = gcc
OPTFLAGS = -O2 -g -Wall -W
CFLAGS = $(OPTFLAGS) -D_GNU_SOURCE

ifeq ($(MAKECMDGOALS),makeboot)
CFLAGS += -DTEST
endif

.c.o:
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" $(ISSUSE) -c $<

startpar: $(OBJS)
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" $(ISSUSE) -o $@ $(OBJS)

makeboot: makeboot.c

install: startpar
	$(INSTALL) -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man8dir)
	$(INSTALL) startpar $(DESTDIR)$(sbindir)/.
	$(INSTALL_DATA) startpar.8 $(DESTDIR)$(man8dir)/.

clean:
	rm -f startpar makeboot $(OBJS)

dest: clean
	mkdir -p startpar-$(VERSION)
	for file in $(SRCS) $(HDRS) $(REST) ; do \
	    cp -p $$file startpar-$(VERSION)/; \
	done
	tar -cps -jf startpar-$(VERSION).tar.bz2 startpar-$(VERSION)/*
	rm -rf startpar-$(VERSION)/

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu17.4) lucid-proposed; urgency=low

  * debian/initscripts.postinst
    Do not tail /etc/motd to /etc/motd.tail if the former is a symlink.
    This prevents double motd banners on login.  Also, take from the
    Oneiric version of the file, a stanza to remove /etc/motd.tail if it
    appears to be a double banner.  If this does not get automatically
    cleaned up for you and you're still seeing the double banner, just
    remove /etc/motd.tail manually.  It won't come back.  (LP: #659738)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 08 Jun 2011 14:56:58 -0400

sysvinit (2.87dsf-4ubuntu17.3) lucid-proposed; urgency=low

  * debian/sysv-rc/sbin/invoke-rc.d: replace RUNLEVEL with RUNLEVELHELPER.
    Using RUNLEVEL causes spurious failures when invoke-rc.d is invoked
    with RUNLEVEL already defined in the environment (as it is e.g. during
    bootup) since invoke-rc.d's RUNLEVEL will become an exported variable
    at that point and cause /sbin/runlevel to return bad data. (LP: #619246)

 -- James Troup <james.troup@canonical.com>  Tue, 24 May 2011 11:41:45 +0000

sysvinit (2.87dsf-4ubuntu17.2) lucid-proposed; urgency=low

  [ Dan Muresan ]
  * sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
    before concatanating pids of upstart jobs to it. Otherwise it overflows
    and throws an error. (LP: #665185)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Tue, 05 Apr 2011 12:33:34 +0300

sysvinit (2.87dsf-4ubuntu17.1) lucid-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountroot: Improve handling of 
    respawn of init: we now wait for inits map file to change. If this
    doesn't happen within 5 seconds, we unmount forcibly. (LP: #672177)

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 28 Jan 2011 15:33:50 +0000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 Package: initscripts
 Architecture: any
-Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, debianutils (>= 2.13.1), lsb-base (>= 3.2-14), sysvinit-utils (>= 2.86.ds1-39), sysv-rc | file-rc, passwd
+Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, debianutils (>= 2.13.1), lsb-base (>= 3.2-14), sysvinit-utils (>= 2.86.ds1-39), sysv-rc | file-rc, passwd, upstart
 Recommends: psmisc, e2fsprogs
 Conflicts: libdevmapper1.02.1 (<< 2:1.02.24-1)
 Replaces: libc6, libc6.1, libc0.1, libc0.3

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

tmp     = $(shell pwd)/debian/tmp
doc	= /usr/share/doc

LC_ALL	= POSIX

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null || true)

# Handle cross builds
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
# CROSS is passed to make, CC is called directly.
CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CC=cc
endif

# Handle fact that sarge dpkg-architecture doesn't have DEB_HOST_ARCH_OS
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

PATCH_STAMP=debian/stamp-patched
patch: $(PATCH_STAMP)
$(PATCH_STAMP):
	dh_testdir debian/patches/series \
		debian/startpar/patches/series
	QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
	cd debian/startpar && \
		QUILT_PATCHES=patches quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $(PATCH_STAMP)

unpatch:
	QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $$? = 2
	cd debian/startpar && \
		QUILT_PATCHES=patches quilt --quiltrc /dev/null pop -a -R || test $$? = 2
	rm -rf .pc debian/startpar/.pc $(PATCH_STAMP)

build: build-stamp
build-stamp: patch
# Builds the binary package.
	dh_testdir
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(MAKE) -C src $(CROSS) DISTRO=Debian WITH_SELINUX="yes"
else
	$(MAKE) -C src $(CROSS) DISTRO=Debian
endif
	$(MAKE) $(CROSS) -C debian/startpar
	$(CC) -W -Wall -s -o debian/readlink debian/readlink.c
	touch $@

# Make a binary package (.deb file)
binary-arch:	build
	dh_testroot
	#
	# sysvinit-utils package
	#
	-rm -rf $(tmp)
	install -d -o root -g root -m 755 $(tmp)
	install -d -o root -g root -m 755 $(tmp)/DEBIAN
	install -d -o root -g root -m 755 $(tmp)$(doc)/sysvinit-utils
	install -o root -g root -m 644 doc/Changelog \
		$(tmp)$(doc)/sysvinit-utils/changelog
	install -o root -g root -m 644 debian/changelog \
		$(tmp)$(doc)/sysvinit-utils/changelog.Debian
	gzip -9f $(tmp)$(doc)/sysvinit-utils/changelog*
	install -d -o root -g root -m 755 $(tmp)/bin
	install -d -o root -g root -m 755 $(tmp)/sbin
	install -d -o root -g root -m 755 $(tmp)/usr
	install -d -o root -g root -m 755 $(tmp)/usr/bin
	install -d -o root -g root -m 755 $(tmp)/usr/sbin
	install -d -o root -g root -m 755 $(tmp)/usr/share/man
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man1
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man8
	install -o root -g root -m 755 src/killall5 $(tmp)/sbin
	install -o root -g root -m 755 src/sulogin $(tmp)/sbin
	install -o root -g root -m 755 src/fstab-decode $(tmp)/sbin
	install -o root -g root -m 755 src/bootlogd $(tmp)/sbin
	install -o root -g root -m 755 src/last $(tmp)/usr/bin
	install -o root -g root -m 755 src/mesg $(tmp)/usr/bin
	$(MAKE) $(CROSS) -C debian/startpar DESTDIR=$(tmp) install
	strip -s -R comment -R .comment $(tmp)/sbin/startpar
	install -o root -g root -m 755 debian/service/service $(tmp)/usr/sbin
	ln -sf /usr/sbin/service $(tmp)/usr/bin
	strip -s -R .comment $(tmp)/sbin/killall5
	strip -s -R .comment $(tmp)/sbin/sulogin
	strip -s -R .comment $(tmp)/usr/bin/last
	strip -s -R .comment $(tmp)/usr/bin/mesg
	ln -sf /sbin/killall5 $(tmp)/bin/pidof
	ln -sf last $(tmp)/usr/bin/lastb
	install -o root -g root -m 644 man/killall5.8 $(tmp)/usr/share/man/man8
	install -o root -g root -m 644 man/sulogin.8 $(tmp)/usr/share/man/man8
	install -o root -g root -m 644 man/bootlogd.8 $(tmp)/usr/share/man/man8
	install -o root -g root -m 644 man/last.1 $(tmp)/usr/share/man/man1
	install -o root -g root -m 644 man/lastb.1 $(tmp)/usr/share/man/man1
	install -o root -g root -m 644 man/mesg.1 $(tmp)/usr/share/man/man1
	install -o root -g root -m 644 debian/service/service.8 $(tmp)/usr/share/man/man8
	install -o root -g root -m 644 man/pidof.8 $(tmp)/usr/share/man/man8
	install -o root -g root -m 644 man/fstab-decode.8 $(tmp)/usr/share/man/man8
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
	install -o root -g root -m 644 debian/copyright \
	  $(tmp)$(doc)/sysvinit-utils/copyright
	cat COPYRIGHT >> $(tmp)$(doc)/sysvinit-utils/copyright
	dpkg-shlibdeps src/init debian/startpar/startpar
	dpkg-gencontrol -psysvinit-utils -P$(tmp) -isp
	dh_md5sums -Ninitscripts -Nsysv-rc
	dpkg --build $(tmp) ..
	rm -rf $(tmp)
	#
	# initscripts package
	#
	-rm -rf $(tmp)
	install -d -o root -g root -m 755 $(tmp)
	install -d -o root -g root -m 755 $(tmp)/DEBIAN
	install -d -o root -g root -m 755 $(tmp)/sbin
	install -d -o root -g root -m 755 $(tmp)/lib
	install -d -o root -g root -m 755 $(tmp)/etc
ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
	install -d -o root -g root -m 755 $(tmp)/sys
endif
	install -d -o root -g root -m 755 $(tmp)/lib/init
	install -d -o root -g root -m 755 $(tmp)/lib/init/rw
	install -d -o root -g root -m 755 $(tmp)/usr/share/initscripts
	install -d -o root -g root -m 755 $(tmp)/var/lib/initscripts
	install -d -o root -g root -m 755 $(tmp)/var/log/fsck
	install -d -o root -g root -m 755 $(tmp)$(doc)/initscripts
	install -o root -g root -m 644 debian/initscripts/doc/* $(tmp)$(doc)/initscripts
	sed -ne '/sysvinit (2.84-3)/q' -e p < debian/changelog \
		> $(tmp)$(doc)/initscripts/changelog.Debian
	chmod 644 $(tmp)$(doc)/initscripts/changelog.Debian
	gzip -9f $(tmp)$(doc)/initscripts/*
	cp -afv debian/initscripts/share/* $(tmp)/usr/share/initscripts
	cp -afv debian/initscripts/etc/* $(tmp)/etc
	cp -afv debian/initscripts/lib/* $(tmp)/lib
	chmod 755 $(tmp)/etc/init.d/[a-z]*
	chmod 644 $(tmp)/lib/init/*.sh
	chmod 644 $(tmp)/etc/init.d/skeleton
	chmod -R g-w $(tmp)
	chown -R root:root $(tmp)
	install -d -o root -g root -m 755 $(tmp)/bin
	install -d -o root -g root -m 755 $(tmp)/etc/default
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man1
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man5
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man8
	install -d -o root -g root -m 755 $(tmp)/var/lib/urandom
	install -o root -g root -m 755 debian/initscripts/sbin/fsck.nfs \
		$(tmp)/sbin/fsck.nfs
	install -o root -g root -m 644 debian/initscripts/man/fsck.nfs.8 \
		$(tmp)/usr/share/man/man8/fsck.nfs.8
	install -o root -g root -m 644 debian/initscripts/man/halt.5 \
		$(tmp)/usr/share/man/man5/halt.5
	install -o root -g root -m 644 debian/initscripts/rcS.5 \
		$(tmp)/usr/share/man/man5
	install -o root -g root -m 755 src/mountpoint $(tmp)/bin
	strip -s -R .comment $(tmp)/bin/mountpoint
	install -o root -g root -m 644 man/mountpoint.1 $(tmp)/usr/share/man/man1
	install -o root -g root -m 755 debian/readlink $(tmp)/lib/init
	strip -s -R .comment $(tmp)/lib/init/readlink
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
	install -d -o root -g root -m 755 $(tmp)/usr/share/lintian/overrides
	install -o root -g root -m 644 \
		debian/initscripts.lintian.overrides \
		$(tmp)/usr/share/lintian/overrides/initscripts
	install -o root -g root -m 644 debian/initscripts.copyright \
	  $(tmp)$(doc)/initscripts/copyright
	install -o root -g root -m 755 debian/initscripts.preinst  $(tmp)/DEBIAN/preinst
	install -o root -g root -m 755 debian/initscripts.postinst $(tmp)/DEBIAN/postinst
	install -o root -g root -m 755 debian/initscripts.postrm $(tmp)/DEBIAN/postrm
	install -o root -g root -m 644 debian/initscripts.conffiles \
	  $(tmp)/DEBIAN/conffiles
	dpkg-shlibdeps debian/readlink
	sh debian/deps-mount >> debian/substvars
	sh debian/deps-glibc >> debian/substvars
	dpkg-gencontrol -pinitscripts -P$(tmp) -isp
	dh_md5sums -Ninitscripts -Nsysv-rc
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

# Architecture independant files.
binary-indep: build
	#
	# sysv-rc package
	#
	-rm -rf $(tmp)
	install -d -o root -g root -m 755 $(tmp)/DEBIAN
	install -d -o root -g root -m 755 $(tmp)/etc

## sysvinit 2.87dsf-4ubuntu17.5

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu17.5) lucid-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountnfs.sh: emit a new event,
    unmounted-remote-filesystems, to allow stopping portmap
    and others. (LP: #711425)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 20 Jan 2012 01:15:42 -0800

## sysvinit 2.87dsf-4ubuntu18

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu18) maverick; urgency=low

  * Allocate pidof/killall5 omitpid buffers dynamically.  16 is too small
    for killall5 now that all Upstart jobs are omitted.
  * Create /lib/init/rw as a symlink to /var/run on new installations, and
    fix it up in /etc/init.d/umountroot on upgrade, as it's difficult to do
    this at any other time; this saves us chasing around all the individual
    packages that use one or the other for sendsigs.omit.d (LP: #541512).
  * Handle /var/run/sendsigs.omit.d explicitly, just in case.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Sep 2010 10:48:28 +0100

## sysvinit 2.87dsf-4ubuntu19.2

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu19.2) maverick-proposed; urgency=low

  [ Dan Muresan ]
  * sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
    before concatanating pids of upstart jobs to it. Otherwise it overflows
    and throws an error. (LP: #665185)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Tue, 05 Apr 2011 12:35:31 +0300

sysvinit (2.87dsf-4ubuntu19.1) maverick-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountroot: Improve handling of 
    respawn of init: we now wait for inits map file to change. If this doesn't
    happen within 5 seconds, we unmount forcibly. (LP: #672177)

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 28 Jan 2011 11:45:35 +0000

sysvinit (2.87dsf-4ubuntu19) maverick-proposed; urgency=low

  * debian/initscripts.postinst (LP: #659738):
    - do not create motd.tail from motd on systems using update-motd.
    - clean up incorrectly created motd.tail from upgrade to Maverick.

 -- Kees Cook <kees@ubuntu.com>  Thu, 28 Oct 2010 20:30:54 -0700

## sysvinit 2.87dsf-4ubuntu23

=== src/Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 
 
 # Additional libs for GNU libc.
-ifneq ($(wildcard /usr/lib/libcrypt.a),)
+ifneq ($(wildcard /usr/lib/*/libcrypt.a),)
 LCRYPT		= -lcrypt
 endif

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu23) natty; urgency=low

  * Fix FTBFS with changed libcrypt multiarch library location.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Mar 2011 21:50:35 +0100

sysvinit (2.87dsf-4ubuntu22) natty; urgency=low

  [ Dan Muresan ]
  * sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
    before concatanating pids of upstart jobs to it. Otherwise it overflows
    and throws an error. (LP: #665185)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Mon, 28 Mar 2011 13:11:49 +0300

sysvinit (2.87dsf-4ubuntu21) natty; urgency=low

  * debian/initscripts/etc/init.d/umountnfs.sh: emit a new event,
    unmounted-remote-filesystems, to allow stopping portmap
    and others. (LP: #711425)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 04 Mar 2011 12:18:15 +0000

sysvinit (2.87dsf-4ubuntu20) natty; urgency=low

  [ Michael Vogt ]
  * debian/patches/100_fix_ftbfs_enoioctlcmd.patch: 
    - cherry pick upstream fix for missing ENOIOCTLCMD, this 
      fixes a FTBFS

  [ James Hunt ]
  * debian/initscripts/etc/init.d/umountroot: Improve handling of
    respawn of init: we now wait for inits map file to change. If this
    doesn't happen within 5 seconds, we unmount forcibly.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Mar 2011 10:38:34 +0100

## sysvinit 2.87dsf-4ubuntu23.1

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu23.1) natty-proposed; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: Only omit jobs that
    are in the 'start' goal. Those that are destined for 'stop' are
    waited on and killed like all other processes. (LP: #616287) Thanks
    to Launchpad user "codewarrior".

 -- Bill Cahill <davrosmeglos@gmail.com>  Tue, 13 Sep 2011 22:41:05 -0700

=== debian/rules ===
--- 
+++ 
@@ -129,7 +129,7 @@
 	install -d -o root -g root -m 755 $(tmp)/sys
 endif
 	install -d -o root -g root -m 755 $(tmp)/lib/init
-	install -d -o root -g root -m 755 $(tmp)/lib/init/rw
+	ln -s /var/run $(tmp)/lib/init/rw
 	install -d -o root -g root -m 755 $(tmp)/usr/share/initscripts
 	install -d -o root -g root -m 755 $(tmp)/var/lib/initscripts
 	install -d -o root -g root -m 755 $(tmp)/var/log/fsck
